Home
last modified time | relevance | path

Searched +full:- +full:outfile (Results 1 – 25 of 117) sorted by relevance

12345

/openbmc/linux/arch/x86/entry/vdso/
H A Dvdso2c.h1 /* SPDX-License-Identifier: GPL-2.0 */
3 * This file is included twice from vdso2c.c. It generates code for 32-bit
4 * and 64-bit vDSOs. We need both for 64-bit builds, since 32-bit vDSOs
5 * are built for 32-bit userspace.
8 static void BITSFUNC(copy)(FILE *outfile, const unsigned char *data, size_t len) in BITSFUNC()
14 fprintf(outfile, "\n\t"); in BITSFUNC()
15 fprintf(outfile, "0x%02X, ", (int)(data)[i]); in BITSFUNC()
22 * capture kernel-only data that needs to persist indefinitely, e.g. the
27 FILE *outfile, ELF(Shdr) *sec, const char *name) in BITSFUNC()
32 offset = (unsigned long)GET_LE(&sec->sh_offset); in BITSFUNC()
[all …]
/openbmc/linux/scripts/
H A Dget_dvb_firmware2 # SPDX-License-Identifier: GPL-2.0-or-later
28 $outfile = eval($cid);
31 Firmware(s) $outfile extracted successfully.
46 # ---------------------------------------------------------------
47 # Firmware-specific extraction subroutines
53 my $outfile = "dvb-fe-sp8870.fw";
61 copy("$tmpdir/software/OEM/HE/App/boot/SC_MAIN.MC", $outfile);
63 $outfile;
71 my $outfile = "dvb-fe-sp887x.fw";
81 copy("$tmpdir/ZEnglish/sc_main.mc", $outfile);
[all …]
H A Dstackusage2 # SPDX-License-Identifier: GPL-2.0
4 outfile=""
7 while [ $# -gt 0 ]
10 -o)
11 outfile="$2"
13 -h)
14 echo "usage: $0 [-o outfile] <make options/args>"
20 if [ -z "$outfile" ]
22 outfile=`mktemp --tmpdir stackusage.$$.XXXX`
25 KCFLAGS="${KCFLAGS} -fstack-usage" make "$@"
[all …]
H A Dheaders_install.sh2 # SPDX-License-Identifier: GPL-2.0
4 if [ $# -ne 2 ]
6 echo "Usage: headers_install.sh INFILE OUTFILE"
14 echo "OUTFILE: output file which the processed header is written to"
21 OUTFILE=$2
22 TMPFILE=$OUTFILE.tmp
24 trap 'rm -f $OUTFILE $TMPFILE' EXIT
26 # SPDX-License-Identifier with GPL variants must have "WITH Linux-syscall-note"
27 if [ -n "$(sed -n -e "/SPDX-License-Identifier:.*GPL-/{/WITH Linux-syscall-note/!p}" $INFILE)" ]; t…
28 echo "error: $INFILE: missing \"WITH Linux-syscall-note\" for SPDX-License-Identifier" >&2
[all …]
H A Dsyscallnr.sh2 # SPDX-License-Identifier: GPL-2.0-only
15 set -e
18 echo >&2 "usage: $0 [--abis ABIS] [--prefix PREFIX] INFILE OUTFILE" >&2
21 echo >&2 " OUTFILE output header file"
24 echo >&2 " --abis ABIS ABI(s) to handle (By default, all lines are handled)"
25 echo >&2 " --prefix PREFIX The prefix to the macro like __NR_<PREFIX><NAME>"
33 while [ $# -gt 0 ]
36 --abis)
39 --prefix)
42 -*)
[all …]
H A Dsyscallhdr.sh2 # SPDX-License-Identifier: GPL-2.0-only
16 set -e
19 …echo >&2 "usage: $0 [--abis ABIS] [--emit-nr] [--offset OFFSET] [--prefix PREFIX] INFILE OUTFILE" …
22 echo >&2 " OUTFILE output header file"
25 echo >&2 " --abis ABIS ABI(s) to handle (By default, all lines are handled)"
26 echo >&2 " --emit-nr Emit the macro of the number of syscalls (__NR_syscalls)"
27 echo >&2 " --offset OFFSET The offset of syscall numbers"
28 echo >&2 " --prefix PREFIX The prefix to the macro like __NR_<PREFIX><NAME>"
38 while [ $# -gt 0 ]
41 --abis)
[all …]
/openbmc/linux/tools/bootconfig/
H A Dtest-bootconfig.sh2 # SPDX-License-Identifier: GPL-2.0-only
6 if [ -d "$1" ]; then
14 INITRD=`mktemp ${TESTDIR}/initrd-XXXX`
15 TEMPCONF=`mktemp ${TESTDIR}/temp-XXXX.bconf`
16 OUTFILE=`mktemp ${TESTDIR}/tempout-XXXX`
20 rm -f $INITRD $TEMPCONF $OUTFILE
48 xpass $BOOTCONF -d $INITRD
52 bconf_size=$(stat -c %s $TEMPCONF)
53 initrd_size=$(stat -c %s $INITRD)
56 xpass $BOOTCONF -a $TEMPCONF $INITRD
[all …]
/openbmc/linux/tools/testing/selftests/drivers/net/netdevsim/
H A Dfib_notifications.sh2 # SPDX-License-Identifier: GPL-2.0
28 local outfile=$1; shift
34 head -n 1 $outfile | grep -q "rt_offload_failed"
35 if [[ $? -eq 0 ]]; then
39 head -n 2 $outfile | tail -n 1 | grep -q "rt_offload_failed"
44 local outfile=$1; shift
49 head -n 1 $outfile | grep -q "rt_trap"
50 if [[ $? -eq 0 ]]; then
54 head -n 2 $outfile | tail -n 1 | grep -q "rt_trap"
59 local outfile=$1; shift
[all …]
/openbmc/linux/arch/sparc/vdso/
H A Dvdso2c.h7 * 32-bit and 64-bit vDSOs. We will eventually need both for 64-bit builds,
8 * since 32-bit vDSOs will then be built for 32-bit userspace.
13 FILE *outfile, const char *name) in BITSFUNC()
16 unsigned long load_size = -1; /* Work around bogus warning */ in BITSFUNC()
25 ELF(Phdr) *pt = (ELF(Phdr) *)(raw_addr + GET_BE(&hdr->e_phoff)); in BITSFUNC()
28 for (i = 0; i < GET_BE(&hdr->e_phnum); i++) { in BITSFUNC()
65 for (i = 0; i < GET_BE(&hdr->e_shnum); i++) { in BITSFUNC()
66 ELF(Shdr) *sh = raw_addr + GET_BE(&hdr->e_shoff) + in BITSFUNC()
67 GET_BE(&hdr->e_shentsize) * i; in BITSFUNC()
68 if (GET_BE(&sh->sh_type) == SHT_SYMTAB) in BITSFUNC()
[all …]
H A Dvdso2c.c1 // SPDX-License-Identifier: GPL-2.0-only
3 * vdso2c - A vdso image preparation tool
9 * equivalent to dropping all non-allocatable sections, but it's
17 * find SHT_NOTE; it won't look at PT_NOTE for the in-memory vDSO, which
18 * would break build-id if we removed the section table. Binutils
26 * just write a mostly complete one. We omit non-dynamic symbols,
30 * the 64-bit vdso, since build-id only works in kernel RPMs, and
32 * binutils in sync. build-id has never worked for home-built kernel
98 * Evil macros for big-endian reads and writes
144 FILE *outfile, const char *name) in go() argument
[all …]
/openbmc/skeleton/pydownloadmgr/
H A Ddownload_manager.py40 def DownloadComplete(self, outfile, filename): argument
41 print("Download Complete: " + outfile)
42 return outfile
52 outfile = FLASH_DOWNLOAD_PATH + "/" + os.path.basename(filename)
54 ["tftp", "-l", outfile, "-r", filename, "-g", ip]
57 self.DownloadComplete(outfile, filename)
71 outfile = FLASH_DOWNLOAD_PATH + "/" + os.path.basename(filename)
72 subprocess.call(["tftp", "-l", outfile, "-r", filename, "-g", url])
75 intf.update(outfile)
/openbmc/phosphor-psu-code-mgmt/tools/
H A Dgenerate-psu-tar2 set -eo pipefail
6 usage: generate-psu-tar [OPTION] <parameter>...
8 --image <file> PSU FW image
9 --version <version> PSU FW version
10 --model <model> PSU FW model
11 --manufacturer <version> PSU FW manufacturer
12 --machineName <machineName> Optionally specify the target machine name of this image.
13 --outfile <filename> Outfile name
14 For example : -o psufw.tar
15 The default outfile name is image.tar,and
[all …]
/openbmc/linux/tools/testing/selftests/amd-pstate/
H A Drun.sh2 # SPDX-License-Identifier: GPL-2.0
15 # amd-pstate-ut only run on x86/x86_64 AMD systems.
16 ARCH=$(uname -m 2>/dev/null | sed -e 's/i.86/x86/' -e 's/x86_64/x86/')
17 VENDOR=$(cat /proc/cpuinfo | grep -m 1 'vendor_id' | awk '{print $NF}')
21 OUTFILE=selftest
22 OUTFILE_TBENCH="$OUTFILE.tbench"
23 OUTFILE_GIT="$OUTFILE.gitsource"
34 CURRENT_TEST=amd-pstate
37 # Kselftest framework requirement - SKIP code is 4.
39 all_scaling_names=("acpi-cpufreq" "amd-pstate")
[all …]
/openbmc/qemu/
H A Dqemu-keymap.c10 * See the COPYING file in the top-level directory.
31 static FILE *outfile; variable
33 /* ------------------------------------------------------------------------ */
57 fprintf(outfile, "%s 0x%02x%s\n", name, qcode_to_number(qcode), mod); in print_sym()
67 fprintf(outfile, "\n"); in walk_map()
70 * map xkb keycode -> QKeyCode in walk_map()
74 evdev = code - 8; in walk_map()
80 fprintf(outfile, "# evdev %d (0x%x): no evdev -> QKeyCode mapping" in walk_map()
84 fprintf(outfile, "# evdev %d (0x%x), QKeyCode \"%s\", number 0x%x\n", in walk_map()
127 "which can be used with the qemu \"-k\" command line switch.\n" in usage()
[all …]
H A Dqemu-edid.c5 * See the COPYING file in the top-level directory.
23 "Typically you'll pipe the output into edid-decode\n" in usage()
26 "usage: qemu-edid <options>\n" in usage()
28 " -h print this text\n" in usage()
29 " -o <file> set output file (stdout by default)\n" in usage()
30 " -v <vendor> set monitor vendor (three letters)\n" in usage()
31 " -n <name> set monitor name\n" in usage()
32 " -s <serial> set monitor serial\n" in usage()
33 " -d <dpi> set display resolution\n" in usage()
34 " -x <prefx> set preferred width\n" in usage()
[all …]
/openbmc/qemu/target/hexagon/
H A Dgen_semantics.c2 * Copyright(c) 2019-2021 Qualcomm Innovation Center, Inc. All Rights Reserved.
29 FILE *outfile; in main() local
35 outfile = fopen(argv[1], "w"); in main()
36 if (outfile == NULL) { in main()
45 * "Add 32-bit registers", in main()
55 fprintf(outfile, "SEMANTICS( \\\n" \ in main()
61 fprintf(outfile, "ATTRIBUTES( \\\n" \ in main()
69 fprintf(outfile, "SEMANTICS( \\\n" \ in main()
75 fprintf(outfile, "ATTRIBUTES( \\\n" \ in main()
97 fprintf(outfile, "MACROATTRIB( \\\n" \ in main()
[all …]
/openbmc/openpower-pnor-code-mgmt/
H A Dgenerate-ubi2 set -eo pipefail
7 The PNOR SquashFS Tarball is generated from the generate-tar script.
9 usage: generate-ubi [OPTION] <PNOR SquashFS Tarball>...
12 -f, --file <file> Specify destination file. Defaults to
14 (For example, "generate-ubi my.pnor.squashfs.tar"
16 -s, --size <MiB> Specify the size of the PNOR UBI image in MiBs.
18 -h, --help Display this help text and exit.
23 while [[ $# -gt 0 ]]; do
26 -f|--file)
27 outfile="$2"
[all …]
H A Dgenerate-tar2 set -eo pipefail
11 usage: generate-tar [OPTION] <PNOR FILE>...
14 -i, --image <squashfs|static>
16 -f, --file <file> Specify destination file. Defaults to
20 * "generate-tar -i squashfs my.pnor" would generate
22 * "generate-tar -i static my.pnor" would generate
24 -s, --sign <path> Sign the image. The optional path argument specifies
27 open-source private key in this script.
28 -m, --machine <name> Optionally specify the target machine name of this
30 -h, --help Display this help text and exit.
[all …]
/openbmc/linux/arch/arm/vdso/
H A Dvdsomunge.c1 // SPDX-License-Identifier: GPL-2.0-only
5 * vdsomunge - Host program which produces a shared object
6 * architecturally specified to be usable by both soft- and hard-float
15 * the base standard (and vice-versa) if no floating-point or
18 * And ELF for the ARM Architecture (ARM IHI 0044E) (Table 4-2) says:
21 * base procedure-call standard is implied.
23 * The VDSO is built with -msoft-float, as with the rest of the ARM
31 * If the soft-float flag is set, this program clears it. That's all
81 static const char *outfile; variable
97 if (failed && outfile != NULL) in cleanup()
[all …]
/openbmc/phosphor-bmc-code-mgmt/bmc/
H A Dgen-bios-tar2 set -eo pipefail
11 usage: gen-bios-tar [OPTION] <Bios FILE>...
14 -o, --out <file> Specify destination file. Defaults to
15 $(pwd)/obmc-bios.tar.gz if unspecified.
16 -s, --sign <path> Sign the image. The optional path argument specifies
19 open-source private key in this script.
20 -m, --machine <name> Optionally specify the target machine name of this
22 -v, --version <name> Specify the version of bios image file
23 -e, --extended <name> Specify the extended version of bios image file
24 -h, --help Display this help text and exit.
[all …]
/openbmc/openbmc/poky/meta/classes-recipe/
H A Dkernel-yocto.bbclass4 # SPDX-License-Identifier: MIT
9 PATCH_GIT_USER_EMAIL ?= "kernel-yocto@oe"
116 if [ -n "$1" ]; then
127 # if kernel tools are available in-tree, they are preferred
130 if [ -f "${S}/scripts/util/configme" ]; then
131 if [ -z "${EXTERNAL_KERNEL_TOOLS}" ]; then
140 # $< --defconfig $(Kconfig)
143 # $(Q)$< --defconfig=arch/$(SRCARCH)/configs/$(KBUILD_DEFCONFIG) $(Kconfig)
154 if [ -n "${KBUILD_DEFCONFIG}" ]; then
155 if [ -f "${S}/arch/${ARCH}/configs/${KBUILD_DEFCONFIG}" ]; then
[all …]
/openbmc/phosphor-mrw-tools/
H A Dgen_openpower_fru.pl13 my $outFile = "";
19 "o=s" => \$outFile,
23 if (($mrwFile eq "") or ($configFile eq "") or ($outFile eq ""))
29 my $targets = Targets->new;
30 $targets->loadXML($mrwFile);
56 if (!$targets->isBadAttribute($item->{TARGET}, "TYPE")) {
57 $targetType = $targets->getAttribute($item->{TARGET}, "TYPE");
66 push @paths, $item->{OBMC_NAME};
80 open(my $fh, '>', $outFile) or die "Could not open file '$outFile' $!";
89 $0 -m [MRW file] -c [Config yaml] -o [Output filename]\n";
/openbmc/openbmc/poky/meta/recipes-devtools/ruby/ruby/
H A D0003-rdoc-build-reproducible-documentation.patch3 Date: Tue, 10 Oct 2017 15:04:34 -0300
6 - provide a fixed timestamp to the gzip compression
8 Upstream-Status: Backport [debian]
10 Signed-off-by: Antonio Terceiro <terceiro@debian.org>
11 Signed-off-by: Christian Hofstaedtler <zeha@debian.org>
12 ---
13 lib/rdoc/generator/json_index.rb | 4 ++--
14 1 file changed, 2 insertions(+), 2 deletions(-)
16 diff --git a/lib/rdoc/generator/json_index.rb b/lib/rdoc/generator/json_index.rb
18 --- a/lib/rdoc/generator/json_index.rb
[all …]
/openbmc/openbmc/meta-openembedded/meta-networking/recipes-protocols/freediameter/files/
H A D0001-bison-flex-Add-flags-for-carrying-user-specified-par.patch3 Date: Wed, 14 Aug 2024 19:32:25 -0700
9 Upstream-Status: Pending
10 Signed-off-by: Khem Raj <raj.khem@gmail.com>
11 ---
16 diff --git a/cmake/Modules/CMakeUserUseBison.cmake b/cmake/Modules/CMakeUserUseBison.cmake
18 --- a/cmake/Modules/CMakeUserUseBison.cmake
20 @@ -52,6 +52,7 @@ IF(BISON_EXECUTABLE)
21 OUTPUT "${OUTFILE}" "${HEADER}"
23 ARGS "--name-prefix=${PREFIX}"
25 "--defines"
[all …]
/openbmc/openbmc/poky/bitbake/lib/bb/
H A Dprogress.py7 # SPDX-License-Identifier: GPL-2.0-only
19 ANSI_ESCAPE_REGEX = re.compile(r'\x1B\[[0-?]*[ -/]*[@-~]')
43 def __init__(self, d, outfile=None): argument
47 if outfile:
48 self._outfile = outfile
85 getting progress, assuming that that can be done on a per-line
88 def __init__(self, d, outfile=None): argument
90 super().__init__(d, outfile)
115 def __init__(self, d, regex=r'(\d+)%', outfile=None): argument
116 super().__init__(d, outfile)
[all …]

12345